Status: Resolved Priority: Must have
Updated: 2011-05-04 Due date:
PHP Version:
Subject: PersistenceMagicAspect doesn't set unique identifier for value objects
Description

In change Ia8a607386d69b00183f4b20acd2823296a7cfdff the pointcut for the value hash generation was changed to before. With the
current way of getting properties from the object, every value object gets the same identity. The aspect should consider the method
arguments to calculate the value hash.

Associated revisions
Revision 0cd6cb2f - 2011-04-28 10:55 - Karsten Dambekalns

[BUGFIX] Fix calculation of identifier for value objects

The generateValueHash advice is a before advice, thus it needs to use
the arguments given to __construct() for calculating the hash. This is
safe, since for value objects everything contributing to their value has
to be given as constructor arguments.

Cleans up the unit tests along the way.

Fixes: #26159
Change-Id: I8c113edd47fe2441f928ce19d7a0066356af3e12

History
#1 - 2011-04-27 13:48 - Karsten Dambekalns
- Category set to Persistence
- Status changed from New to Accepted
- Priority changed from Should have to Must have
- Target version set to 1.0 beta 1

#2 - 2011-04-28 10:55 - Mr. Hudson

Patch set 1 of change I8c113edd47fe2441f928ce19d7a0066356af3e12 has been pushed to the review server.
It is available at http://review.typo3.org/1772

#3 - 2011-04-28 10:56 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#4 - 2011-05-04 10:00 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0cd6cb2f9499b10b87dc666dfbce0ed5252855a3.
